logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



mod_perl 2.0.10 for Apache 2.4.x available

 
Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules



View previous topic :: View next topic  
Author Message
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2690
Location: Hilversum, NL, EU

PostPosted: Wed 06 Sep '17 10:00    Post subject: mod_perl 2.0.10 for Apache 2.4.x available Reply with quote

64-bit builds of mod_perl-2.0.10 and libapreq2-2.14 components compatible with ApacheLounge binaries VC15 Win64.

24 Aug 2018 updated to 5.26 and 5.28

* ActivePerl-5.26.1.2601-x64
* ActivePerl haven't released a 5.28.0 yet, it is build when released

* StrawberryPerl-5.26.1.1-64bit
* StrawberryPerl-5.28.0.1-64bit

You can download them from http://home.apache.org/~stevehay/?C=M;O=D

These are x64 builds only.
A x86 is not coming. Notice that ActivePerl's last releases were x64-only, see
http://downloads.activestate.com/ActivePerl/releases/5.24.3.2404/ and
http://downloads.activestate.com/ActivePerl/releases/5.26.1.2601/

Note:
These releases should be good for future ActivePerl 5.26.n/5.28.n and StrawberryPerl 5.26.n/5.28.n releases since all Perl 5.X.n releases are intended to be binary-compatible for a given value of X (where X is an even number denoting a stable production release - it isn't true for the odd-numbered development releases).

Please let us know if you have any problems.

Thanks! Steve

Regards,
Steffen


Last edited by Steffen on Fri 24 Aug '18 19:25; edited 9 times in total
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2690
Location: Hilversum, NL, EU

PostPosted: Fri 08 Sep '17 10:28    Post subject: Reply with quote

Steve added the 5.24.1 Win64 builds. Win32 later.
Back to top
wantedxnn



Joined: 07 Oct 2017
Posts: 2
Location: Romānia

PostPosted: Sat 07 Oct '17 14:48    Post subject: mod_perl.so not found Reply with quote

I followed the instruction but apache won't start on command 'httpd -t' tell me the mod_perl.so not found.
mod_apreq2.so is loaded - no issue.
Back to top
eirens



Joined: 31 Jul 2018
Posts: 3
Location: USA

PostPosted: Tue 31 Jul '18 23:13    Post subject: Reply with quote

How would I go about requesting a new build of mod_perl 2.0.10 (latest version) for:

- Latest Apache Lounge 64-bit Apache 2.4 distro (2.4.34)
- ActivePerl 5.22 (specifically this version since 5.24 breaks something else I need)

Thank you!

Or perhaps the build above is binary-compatible already? Sorry, I don't know.
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2690
Location: Hilversum, NL, EU

PostPosted: Wed 01 Aug '18 14:31    Post subject: Reply with quote

Asked Steve, his answer:



I am planning builds for the new perl release (5.28.0), but not for the (very!) old 5.22 which the poster in that thread is asking for :-/
Back to top
eirens



Joined: 31 Jul 2018
Posts: 3
Location: USA

PostPosted: Wed 01 Aug '18 20:41    Post subject: Reply with quote

Thank you. I'll look into whether I can use Perl 5.28.

Are the mod_perl builds that already exist (built by Steve) okay to use with a newer Apache version (versions detailed in my earlier post above)?
Back to top
eirens



Joined: 31 Jul 2018
Posts: 3
Location: USA

PostPosted: Thu 09 Aug '18 15:57    Post subject: Reply with quote

Steffen, would you mind looking at the question I asked about binary compatibility? I don't know where to start, so I simply asked here.
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2690
Location: Hilversum, NL, EU

PostPosted: Thu 09 Aug '18 16:51    Post subject: Reply with quote

Yep, should work with for example 2.4.34 and the Perl version 5.22 and 5.24 at http://home.apache.org/~stevehay/?C=M;O=D .
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2690
Location: Hilversum, NL, EU

PostPosted: Fri 24 Aug '18 19:01    Post subject: Reply with quote

Updated to:

ActivePerl 5.26.1, StrawberryPerl 5.26.1 and
StrawberryPerl 5.28.0. (ActivePerl haven't released a 5.28.0 yet, but it is build when they do)

These are x64 builds only. A x86 is not coming. Notice that ActivePerl's last releases were x64-only (in http://downloads.activestate.com/ActivePerl/releases/5.24.3.2404/ and http://downloads.activestate.com/ActivePerl/releases/5.26.1.2601/).

Note:
These releases should be good for future ActivePerl 5.26.n/5.28.n and StrawberryPerl 5.26.n/5.28.n releases since all Perl 5.X.n releases are intended to be binary-compatible for a given value of X (where X is an even number denoting a stable production release - it isn't true for the odd-numbered development releases).
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules
Page 1 of 1